# Function applyPreDefendAbAttrs

- applyPreDefendAbAttrs(attrType, pokemon, attacker, move, cancelled, ...args): Promise<void>

- #### Parameters

  - attrType: (new (...args) => PreDefendAbAttr )
    - - new (...args): PreDefendAbAttr

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns PreDefendAbAttr

  - pokemon: default
  - attacker: default
  - move: default
  - cancelled: BooleanHolder
  - `Rest` ...args: any[]

  #### Returns Promise<void>

  - Defined in src/data/ability.ts:3551